Subject: Re: [PATCH 0/3] Reject non-ff pulls by default

From: Richard Hansen <[email-masked]>
Date: Sun, 08 Sep 2013 02:17:47 -0400

On 2013-09-07 22:41, Felipe Contreras wrote:
> On Wed, Sep 4, 2013 at 5:59 PM, Junio C Hamano <[email-masked]> wrote:
> 
>> Which can be solved by adding the above "fail" option, and then
>> renaming them to "pull.integrate" and "branch.<name>.integrate" to
>> clarify what these variables are about (it is no longer "do you
>> rebase or not---if you choose not to rebase, by definition you are
>> going to merge", as there is a third choice to "fail"), while
>> retaining "pull.rebase" and "branch.<name>.rebase" as a deprecated
>> synonym.
> 
> All these names are completely unintuitive. First of all, why
> "integrate"? Integrate what to what? And then, why "fail"? Fail on
> what circumstances? Always?
> 
> My proposal that does:
> 
>   pull.mode = merge/rebase/merge-ff-only
> 
> Is way more intuitive.

+1

What about something like:

    pull.mergeoptions (defaults to --ff-only)
    pull.rebaseoptions (defaults to empty?  --preserve-merges?)
    branch.<name>.pull.mergeoptions (defaults to pull.mergeoptions)
    branch.<name>.pull.rebaseoptions (defaults to pull.rebaseoptions)

-Richard